/*
 *  htk_cli.h
 *
 *  Created on: 06/Feb/2020
 *      Author: CrystalSu
 */

#ifndef HTK_CLI_H_
#define HTK_CLI_H_

#include "ht32.h"

#include "main.h"
#include "shell.h"
#include "htk_uart.h"
#include "htk_spi.h"

/* General command */
int shell_command_help(shell_cmd_args * args);
int shell_command_read(shell_cmd_args * args);
int shell_command_write(shell_cmd_args * args);
int shell_command_info(shell_cmd_args * args);

uint8_t htk_shellProcess(uint8_t * commandLine);
uint8_t htk_commandPrompt(uint8_t * pBuffer, uint8_t * pBufferLen,
		                      uint8_t * prompt,  uint8_t promptLen);

#endif /* HTK_CLI_H_ */
